﻿@using Portal.Models.Globals; 
@using System.Web.UI.WebControls;

<table style="margin-left:20px;">
    <tr>        
        <td nowrap="nowrap">Supplier <b style="color:Red;">*</b> </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "UtilPlaneHSupplierGridLookup";
                    gridLookup.Width = Unit.Pixel(108);
                    gridLookup.GridProperties.KeyFieldName = "SUPPLIER_CODE_PLANT";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "UtilPlane", Action = "PartialHeaderSupplierLookupGridUtilPlane" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE_PLANT";
                        column.FieldName = "SUPPLIER_CODE_PLANT";
                        column.Caption = "Supplier<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPPLIER_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(350);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                   // gridLookup.ButtonClick = "OnClickEOCHSupplierGridLookup";
                }).Bind(ViewData["GridSupplier"]).GetHtml()
        </td>
   
        <td nowrap="nowrap">Dock Code <b style="color:Red;">*</b> </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "UtilPlaneHDockGridLookup";
                    gridLookup.Width = Unit.Pixel(108);
                    gridLookup.GridProperties.KeyFieldName = "DockCode";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "UtilPlane", Action = "PartialGridLookUpDockUtilPlane" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DockCode";
                        column.FieldName = "DockCode";
                        column.Caption = "Dock<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DockName";
                        column.FieldName = "DockName";
                        column.Caption = "Dock<br />Name";
                        column.Width = Unit.Pixel(350);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                   // gridLookup.ButtonClick = "OnClickEOCHDockGridLookup";
                }).Bind(ViewData["GridDock"]).GetHtml()
        </td>
     </tr>
     <tr>
         <td nowrap="nowrap">TMMIN Plant Code <b style="color:Red;">*</b></td>
         <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "UtilPlaneHRcvPlantGridLookup";
                    gridLookup.Width = Unit.Pixel(108);
                    gridLookup.GridProperties.KeyFieldName = "PlantCode";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "UtilPlane", Action = "PartialHeaderRcvPlantGridHeaderUtilPlane" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PlantCode";
                        column.FieldName = "PlantCode";
                        column.Caption = "TMMIN<br />Plant Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PlantName";
                        column.FieldName = "PlantName";
                        column.Caption = "Plant<br />Name";
                        column.Width = Unit.Pixel(250);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                   // gridLookup.ButtonClick = "OnClickEOCHDockGridLookup";
                }).Bind(ViewData["GridRcv"]).GetHtml()
        </td>

           <td nowrap="nowrap">Shipping Dock</td>
           <td>
                @Html.DevExpress().TextBox(                    
                    settings =>
                    {
                        settings.Name = "txtShippingDock";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = Unit.Pixel(108);
                        settings.Properties.MaxLength = 3;
                   
                    }
                ).GetHtml()
           
            </td>
   
    </tr>

    <!-- 
    Date: January 8, 2019
    Note: update code for deploy
    
    start
    -->
    <tr style="display:none">
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    
                    settings.Name = "txtADDorEdit";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = Unit.Pixel(108);
                    settings.Properties.MaxLength = 10;
                   //settings.ClientVisible = false;

                }
            ).GetHtml()
            @Html.DevExpress().TextBox(
                settings =>
                {
                    
                    settings.Name = "txtShippingDockOld";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = Unit.Pixel(108);
                    settings.Properties.MaxLength = 3;

                }
            ).GetHtml()
            @Html.DevExpress().ComboBox(
                comboBox =>
                {
                    
                    comboBox.Name = "txtPatPlFlagOld"; ;
                    comboBox.Properties.Items.Add("Yes", "1");
                    comboBox.Properties.Items.Add("No", "0");
                    comboBox.SelectedIndex = -1;
                    comboBox.Width = Unit.Pixel(108);

                }).GetHtml()

        </td>
    </tr>
    <!--------------- End ----------->
    
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Use Plane";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
         @Html.DevExpress().ComboBox(
                comboBox =>
                {
                    comboBox.Name = "txtPatPlFlag"; ;
                    comboBox.Properties.Items.Add("Yes", "1");
                    comboBox.Properties.Items.Add("No", "0");
                    comboBox.SelectedIndex = -1;
                    comboBox.Width = Unit.Pixel(108);
                    
                }).GetHtml()
            
        </td>
    </tr>
    
    <tr align="right">
    <td></td>
    <td></td>
        <td colspan="2" align="right">
            <table>
                <tr>
                    <td width=""50% align="right">
                    @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnSaveUtilPlane";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.UseSubmitBehavior = true;
                            btnSettings.ClientSideEvents.Click = "BeginCallbackAddNew";
                        }
                    ).GetHtml()
                    </td>
                    <td width="50%">
                    @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnCancelNewUtilPlane";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Cancel";
                            btnSettings.Width = 80;
                            btnSettings.ClientSideEvents.Click = "CancelAddNew";
                        }
                    ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>